Bug 1009964 - node-installer looks for missing foreman-selinux package, fails
node-installer looks for missing foreman-selinux package, fails
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Ohad Levy
Katello QA List
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2013-09-19 11:21 EDT by Corey Welton
Modified: 2014-06-19 14:58 EDT (History)
4 users (show)

See Also:
Fixed In Version: node-installer-0.0.11-1.el6sat
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-05-05 14:15:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2013-09-19 11:21:37 EDT
Description of problem:
Trying to configure a smart proxy using node-installer, we fail with missing package.

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
note: may need to use workaround due to bug #1009958 
1.  node-install --parent-fqdn `hostname` --dns true --dns-forwarders "" --dns-forwarders "" --dns-interface virbr1 --dns-zone katellolabs.org --dhcp true --dhcp-interface virbr1 --pulp false --tftp true --puppet true --puppetca true --register-in-foreman true --oauth-consumer-secret "Cl4Infk8emwu7EN2bcUuO1ZtwWml3vt2" --verbose
2. view results

Actual results:
Failure.  Seen in puppet logger:
[DEBUG 2013-09-19 11:13:01 puppet]  Package[foreman-selinux](provider=yum): Ensuring => present
[DEBUG 2013-09-19 11:13:01 puppet]  Executing '/usr/bin/yum -d 0 -e 0 -y install foreman-selinux'
[ERROR 2013-09-19 11:13:02 puppet]  Execution of '/usr/bin/yum -d 0 -e 0 -y install foreman-selinux' returned 1: Error: Nothing to do
[ERROR 2013-09-19 11:13:02 puppet]  /Stage[main]/Passenger::Install::Redhat/Package[foreman-selinux]/ensure: change from absent to present failed: Execution of '/usr/bin/yum -d 0 -e 0 -y install foreman-selinux' returned 1: Error: Nothing to do
[ WARN 2013-09-19 11:13:02 puppet]  /Stage[main]/Passenger::Install::Redhat/Package[passenger]: Dependency Package[foreman-selinux] has failures: true

Expected results:
Apparently we shouldn't be looking for this package (yet).

Additional info:
Comment 2 Dominic Cleal 2013-09-19 14:10:56 EDT
I don't think this should be used in the node-installer, it isn't intended that we provide SELinux policy for the puppetmaster in foreman-selinux.  Any issues there should be resolved through base OS selinux-policy which supports Puppet under Passenger.

We declined this patch upstream (https://github.com/theforeman/puppet-passenger/pull/16) but it was used in node-installer.  foreman-selinux should be shipped for MDP3 where we use passenger, but not yet IMHO.
Comment 3 Ivan Necas 2013-09-24 08:18:18 EDT
Ok: the conclusion for MDP2: the puppetmaster installation will need the system to run in permissive mode. In that case I will just remove the foreman-selinux package form ones installed.
Comment 4 Ivan Necas 2013-09-24 08:23:57 EDT
Reverted the code that installed the foreman-proxy:


Should I cherry-pick the changes or we can rebase? I prefer the second option, as there is no code that not should get into MDP2
Comment 6 Mike McCune 2014-05-05 14:15:33 EDT
not relevant now with the new 'capsule-installer'

Note You need to log in before you can comment on or make changes to this bug.